Bug 171674 - up2date fails with Invalid System Credentials
up2date fails with Invalid System Credentials
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 00:30 EDT by dsdits
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 09:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dsdits 2005-10-25 00:30:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Registered and activated my new RHEL 4 system.  Attempt to run up2date to update the gnome development libraries and it fails:

[root ~]# up2date gnome-libs gnome-libs-devel

Error Message:
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Version-Release number of selected component (if applicable):
up2date-4.4.5-1

How reproducible:
Always

Steps to Reproduce:
1.up2date gnome-libs gnome-libs-devel
2.
3.
  

Actual Results:  Error Message:
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 3 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Additional info:
Comment 1 Suzanne Hillman 2005-10-25 13:24:11 EDT
How did you register and activate it?
Comment 2 dsdits 2005-10-25 17:30:06 EDT
I registered it via the command line using:  up2date --register

I activated the client via your website, off the main page, this link:
https://www.redhat.com/apps/activate/

I did register it however before I activated which didn't seem to work, so I did
the activation then registered which then worked.  The only thing I needed to do
was delete the system which was unentitled, the first registration attempt since
they were duplicates
Comment 3 Suzanne Hillman 2005-10-26 10:20:35 EDT
Hmm. After you deleted the unentitled registration attempt, activated your
account, and then registered, you're still getting errors claiming you're not
registered?

If you go to the RHN website and take a look at the registration which did work,
what does it say about being able to contact the machine? If it can't (will say
something like 'System not checking in with RHN'), I'd remove that registration
again, and try again. Can't hurt, and might help.

If it can, what happens if you try to up2date from the RHN website, rather than
from your machine?
Comment 4 dsdits 2005-10-26 23:00:32 EDT
I re-registered it after it wasn't contacting the machine properly.  I also
tried the update from the website but realized it wouldn't work through our
firewall so tried again from the command line and it is now working.  

Hopefully that was all it needed.  Thanks for your assistance.
Comment 5 Suzanne Hillman 2005-10-27 09:33:37 EDT
Glad to hear it's working now! Closing this.

Note You need to log in before you can comment on or make changes to this bug.